#include "jpeg-data.h"
#include <libexif/exif-data.h>
#include <stdio.h>


int main(int argc, char *argv[])
{
        JPEGData *data;
        ExifData *edata;

        data = jpeg_data_new_from_file ("img-87.jpg");
        jpeg_data_ref (data);

        edata = jpeg_data_get_exif_data (data);
        if (!edata) {
                printf("No EXIF data found!");
                return;
        }

	jpeg_data_save_file(data, "foo.jpg");
        exif_data_unref (edata);
        jpeg_data_unref (data);
}
